<?php

/* DCMS Special
 * Дата последнего редактирования 08.02.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Новости');

require_once H . 'sys/inc/thead.php';

#Заголовок
aut();

#Путь папки новостей
define('DIR_NEWS', "/modules/news/");

#Сокращаем пути
if (isset($_GET['edit'])) {
    require_once H . DIR_NEWS . 'edit.php';
} elseif (isset($_GET['delete'])) {
    require_once H . DIR_NEWS . 'delete.php';
} elseif (isset($_GET['add'])) {
    require_once H . DIR_NEWS . 'add.php';
} elseif (isset($_GET['settings'])) {
    require_once H . DIR_NEWS . 'settings.php';
} elseif (isset($_GET['edit_komm'])) {
    require_once H . DIR_NEWS . 'edit_komm.php';
} elseif (isset($_GET['news'])) {
    require_once H . DIR_NEWS . 'news.php';
} elseif (isset($_GET['new_komm'])) {
    require_once H . DIR_NEWS . 'komm.php';
} elseif (isset($_GET['add'])) {
    require_once H . DIR_NEWS . 'add.php';
} else {
    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `news`"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $q = mysql_query("SELECT * FROM `news` ORDER BY `id` DESC LIMIT $start, $set[p_str]");

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    if (isset($user)) {
        echo "<span style='float: right'>";
        if (IS_WEB) {
            if (access('adm_news_add') && isset($user)) {
                echo "<a href='?add'><span class='hint--top' data-hint='" . lang('Новая новость') . "'><i class='fa fa-plus fa-fw fa-lg'></i></span></a> ";
            }

            echo "<a href='/user/settings.php?act=view'><span class='hint--top' data-hint='" . lang('Параметры') . "'><i class='fa fa-cog fa-fw fa-lg'></i></span></a>";
        } else {
            if (access('adm_news_add') && isset($user)) {
                echo "<a href='?add'><span class='hint--left' data-hint='" . lang('Новая новость') . "'><i class='fa fa-plus fa-fw fa-lg'></i></span></a> ";
            }

            echo "<a href='/user/settings.php?act=view'><span class='hint--left' data-hint='" . lang('Параметры') . "'><i class='fa fa-cog fa-fw fa-lg'></i></span></a>";
        }
        echo "</span>";
    }
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Новости');
    echo "</small></div><br />";

    #Выводим список новостей
    while ($post = mysql_fetch_assoc($q)) {
        $like = mysql_result(mysql_query("SELECT COUNT(*) FROM `news_like` WHERE `id_news` = '" . $post['id'] . "'"), 0);

        echo "<div class='list-group-item-null list-group-item-grey'>";

        if (access('adm_news_edit') || access('adm_news_delete')) {
            echo "<span style='float:right;'>";
            echo "<div class='btn-group'>";
            echo "<a class='btn btn-info btn-sm' style='margin-right: -12px;' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fa fa-chevron-down'></i></a>";
            echo "<div class='dropdown-menu dropdown-menu-right'>";
            if (access('adm_news_edit')) {
                echo "<a class='dropdown-item' href='?edit=$post[id]'><i class='fa fa-edit fa-fw'></i> " . lang('Редактировать') . "</a>";
            }
            if (access('adm_news_delete')) {
                echo "<a class='dropdown-item' href='?delete=$post[id]'><i class='fa fa-trash-o fa-fw'></i> " . lang('Удалить') . "</a>";
            }
            echo "</div>";
            echo "</div>";
            echo "</span>";
        }

        echo "<h4><a href='?news=$post[id]'>" . toOutput($post['title']) . "</a></h4>";

        #Текст новости
        echo toOutput(cutStr($post['msg'], 300)) . "<br />";

        #Изображение, если есть
        if ($user['set_news'] == 1) {
            if (is_file(H . 'modules/news/images/' . $post['id'] . '.png')) {
                echo "<br /><img src='" . DIR_NEWS . "images/$post[id].png' style='border: 1px solid #CCDDED; padding: 2px; border-radius: 5px; max-width: 200px;' /><br />";
            }
        }

        echo "<small style='color: #9197a3;'>";
        echo "<i class='fa fa-user fa-fw'></i> $post[avtor] &#183; <span class='hint--right' data-hint='" . date::time($post['time']) . "'>" . date::times($post['time']) . "</span> ";
        echo "</small>";

        if (isset($user)) {
            echo "<hr>";

            if ($post['link'] != NULL) {
                echo "<a href='" . htmlentities($post['link'], ENT_QUOTES, 'UTF-8') . "' class='btn btn-info-outline btn-sm hint--right' data-hint='" . lang('Перейти, чтобы узнать подробности') . "'><i class='fa fa-link fa-fw'></i> " . lang('Источник') . "</a> ";
            }
            if ($like == 0) {
                $l = null;
            } else {
                $l = mysql_result(mysql_query("SELECT COUNT(*) FROM `news_like` WHERE `id_news` = '$post[id]'"), 0);
            }

            if (mysql_result(mysql_query("SELECT COUNT(*) FROM `news_like` WHERE `id_news` = '$post[id]' AND `id_user` = '$user[id]' LIMIT 1"), 0) == 0) {
                echo "<a href='?news=$post[id]&amp;likes' class='btn btn-info-outline btn-sm hint--right' data-hint='" . lang('Мне нравится') . "'><i class='fa fa-heart-o fa-fw'></i> $l</a> ";
            } else {
                echo "<a href='?news=$post[id]&amp;unlikes' class='btn btn-info-outline btn-sm hint--right' data-hint='" . lang('Вам понравилась новость') . "'><i class='fa fa-heart fa-fw'></i> $l</a> ";
            }
            #Просмотры
            echo "<span class='hint--right btn btn-info-outline btn-sm' data-hint='" . lang('Просмотрели') . " " . sklon_text($post['prosm'], array(lang('раз'), lang('раза'), lang('раз'))) . "'><i class='fa fa-eye fa-fw'></i> $post[prosm]</span>";

            if ($like > 0) {
                echo "<br /><font color='grey' size='2'>" . lang('Понравилось') . " " . sklon_text($like, array(lang('пользователю'), lang('пользователям'), lang('пользователям'))) . "</font><br />";

                if (IS_WEB) {
                    $q_like = mysql_query("SELECT * FROM `news_like` WHERE `id_news` = '$post[id]' ORDER BY id DESC LIMIT 15");
                } else {
                    $q_like = mysql_query("SELECT * FROM `news_like` WHERE `id_news` = '$post[id]' ORDER BY id DESC LIMIT 8");
                }
                while ($post_like = mysql_fetch_array($q_like)) {
                    $ank = get_user($post_like['id_user']);
                    echo "<a href='/info.php?id=$ank[id]'>";
                    echo avatar($ank['id'], '30', 'border-radius: 2px;');
                    echo "</a> ";
                }
            }
        }

        #По настройке пользователя выводим комментарии
        if ($user['set_news_comments'] == 1) {
            echo "<hr>";

            $k_posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '$post[id]'"), 0);
            $k_pages = k_page($k_posts, $set['p_str']);
            $pages = page($k_pages);
            $starts = $set['p_str'] * $pages - $set['p_str'];
            #Количество выводимых комментариев
            if (IS_WEB) {
                $qs = mysql_query("SELECT * FROM `news_komm` WHERE `id_news` = '$post[id]' ORDER BY `id` DESC LIMIT 5");
            } else {
                $qs = mysql_query("SELECT * FROM `news_komm` WHERE `id_news` = '$post[id]' ORDER BY `id` DESC LIMIT 3");
            }

            if ($k_posts == 0) {
                echo "<span style='color: #9197a3;'><i class='fa fa-comments fa-fw'></i> " . lang('Еще не обсуждали') . "...</span>";
            }

            while ($posts = mysql_fetch_assoc($qs)) {
                $anks = get_user($posts['id_user']);

                echo "<small>";
                echo "<table><tr><td class='icon14'>";
                echo avatar($anks['id'], '20', 'border-radius: 2px;');
                echo "</td><td class='null'>";
                echo "<b style='float: right;'>$anks[nick]</b> ";
                echo " ".toOutput($posts['msg']);
                echo "</td></tr></table>";
                echo "</small><hr>";
            }
        }
        echo "</div>";
    }

    #Если нет новостей
    if ($k_post == 0) {
        $doc->NoResult();
    }

    if ($k_page > 1) {
        echo "<div class='list-group-item-null'>";
        str('index.php?', $k_page, $page);
        echo "</div>";
    }
}

require_once H . 'sys/inc/tfoot.php';


